# class Tk::Tcllib::KHIM

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

get_config() click to toggle source

    # File lib/tkextlib/tcllib/khim.rb, line 41
    def self.get_config #=> cmd_string
      Tk.tk_call_without_enc('::khim::getConfig')
    end

get_options(parent='') click to toggle source

    # File lib/tkextlib/tcllib/khim.rb, line 36
    def self.get_options(parent='')
      path = parent + '.tcllib_widget_khim_dialog'
      self.new(:widgetname => path)
    end

package_name() click to toggle source

    # File lib/tkextlib/tcllib/khim.rb, line 19
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/khim.rb, line 23
    def self.package_version
      begin
        TkPackage.require('khim')
      rescue
        ''
      end
    end

set_config(*args) click to toggle source

    # File lib/tkextlib/tcllib/khim.rb, line 45
    def self.set_config(*args)
      if args.length == 1
        # cmd_string generated by
        #Tk.ip_eval_without_enc(cmd_string)
        Tk.ip_eval(cmd_string)
      else
        # args for setConfig command
        #Tk.tk_call_without_enc('::khim::setConfig', *args)
        Tk.tk_call('::khim::setConfig', *args)
      end
    end

showHelp() click to toggle source

    # File lib/tkextlib/tcllib/khim.rb, line 57
    def self.showHelp
      Tk::Tcllib::KHIM::Help.new
    end

### Public Instance Methods

create_self(keys=None) click to toggle source
Calls superclass method

    # File lib/tkextlib/tcllib/khim.rb, line 61
    def create_self(keys=None)
      @db_class = @classname = nil
      super(None) # ignore keys
    end